Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 689208 - media-sound/murmur-1.3.0_rc2: systemd issues
Summary: media-sound/murmur-1.3.0_rc2: systemd issues
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-03 19:24 UTC by Andrey Tikhomirov
Modified: 2019-07-11 08:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
murmur-1.3.0_rc2.ebuild.patch (file_689208.txt,1.55 KB, patch)
2019-07-03 19:27 UTC, Andrey Tikhomirov
Details | Diff
murmur.logrotate-r1 (murmur.logrotate-r1,175 bytes, text/plain)
2019-07-03 19:30 UTC, Andrey Tikhomirov
Details
murmur.confd-r1 (murmur.confd-r1,165 bytes, text/plain)
2019-07-03 19:30 UTC, Andrey Tikhomirov
Details
murmur-1.3.0_rc2.ebuild.patch (file_689208.txt,1.71 KB, patch)
2019-07-03 20:57 UTC, Andrey Tikhomirov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Tikhomirov 2019-07-03 19:24:59 UTC
I'm having multiple issues with media-sound/murmur-1.3.0_rc2. I'm using Gentoo with systemd.

1) murmur-1.3.0_rc2.ebuild switched to using upstream systemd service file.
However upstream systemd service file expects the configuration file to be /etc/murmur.ini, not /etc/murmur/murmur.ini. The result is that the service cannot be started:

murmurd[25848]: <W>2019-07-03 20:59:51.741 SSL: OpenSSL version is 'OpenSSL 1.1.0k  28 May 2019'
murmurd[25848]: <F>2019-07-03 20:59:51.743 Specified ini file /etc/murmur.ini could not be opened

You need to either follow upstream and start using /etc/murmur.ini instead of /etc/murmur/murmur.ini or modify systemd service file.

2) All murmur-1.3.0 ebuilds erroneously copy scripts/murmur.ini instead of scripts/murmur.ini.system. I don't know why did you do this change, but this is wrong and should be reverted.
murmur.ini is missing some mandatory parameters. This results in service running as root, using db file /murmur.sqlite (yes, in the root directory), without logging and without PID file.

murmurd[25908]: murmurd: failed to open logfile murmur.log: no logging will be done
systemd[1]: murmur.service: Can't open PID file /run/murmur/murmur.pid (yet?) after start: No such file or directory

3) And last but not least, logrotate file doesn't work with systemd.
Comment 1 Andrey Tikhomirov 2019-07-03 19:27:47 UTC
Created attachment 581872 [details, diff]
murmur-1.3.0_rc2.ebuild.patch
Comment 2 Andrey Tikhomirov 2019-07-03 19:30:06 UTC
Created attachment 581874 [details]
murmur.logrotate-r1
Comment 3 Andrey Tikhomirov 2019-07-03 19:30:31 UTC
Created attachment 581876 [details]
murmur.confd-r1
Comment 4 Andrey Tikhomirov 2019-07-03 19:31:12 UTC
I've attached the modifications I've made to fix the issue.
Comment 5 Andrey Tikhomirov 2019-07-03 19:43:27 UTC
BTW, murmur.ini.system is present only in official release tarballs. It is missing in git and is generated by scripts/mkini.sh. Perhaps you need to modify the live ebuild somehow.
Comment 6 Andrey Tikhomirov 2019-07-03 20:57:22 UTC
Created attachment 581878 [details, diff]
murmur-1.3.0_rc2.ebuild.patch

Fix live ebuild too.
Comment 7 Larry the Git Cow gentoo-dev 2019-07-11 08:31:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9214494c18f38ad9f218e95958d03b333d490185

commit 9214494c18f38ad9f218e95958d03b333d490185
Author:     Andrey Tikhomirov <vamp@vampik.ru>
AuthorDate: 2019-07-11 08:25:08 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-07-11 08:25:41 +0000

    media-sound/murmur: Make logrotate file systemd compliant
    
    Closes: https://bugs.gentoo.org/689208
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 media-sound/murmur/files/murmur.logrotate | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb3de39b88c70faf1a680d16555699fd9dffb0b8

commit eb3de39b88c70faf1a680d16555699fd9dffb0b8
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-07-11 08:16:31 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-07-11 08:23:03 +0000

    media-sound/murmur: Revbump to fix systemd service file
    
    install correct .ini config file and create .ini file in live ebuild
    
    Thanks-to: Andrey Tikhomirov <vamp@vampik.ru>
    Bug: https://bugs.gentoo.org/689208
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 ...1.3.0_rc2.ebuild => murmur-1.3.0_rc2-r1.ebuild} | 27 ++++++++++++++--------
 1 file changed, 17 insertions(+), 10 deletions(-)